class Spells.CustomSpell extends Spells.SpellBase {
    // For custom spells, this determines the icon, not the functionality
    spell_id = Spells.ESpellID.SPELL_KART_BOMB;

    is_custom_spell = true;
    cast_delay = 0.2;
    cast_sound = "Halloween.spell_fireball_cast";
    cast_response = "TLK_PLAYER_CAST_MIRV";

    spell_duration = 0;         // 0 = instantaneous

    is_active = false;
    spell_start_time = 0;       // -1 = infinite

    function OnCast(player) {}
    function SpellThinkDuration(player) {
        local remaining_time = (spell_start_time + spell_duration) - Time();
        if(remaining_time <= 0) {
            OnEnd(player);
        }
    }
    function SpellThink(player) {}
    function OnEnd(player) {
        is_active = false;
    }
}