::Spells.RollSpell <- function(tier) {
    local spell_pool = Spells.SpellTiers[tier]["spell_pool"];

    local weight_size = 0;
    foreach (spell in spell_pool) {
        weight_size += spell["weight"];
    }
    if(Spells.IsDev()) printl(format("weight size %d", weight_size));

    local roll = RandomInt(1, weight_size);
    if(Spells.IsDev()) printl(format("Rolled %d", roll));

    for (local i = 0; i < spell_pool.len(); i++) {
        roll -= spell_pool[i]["weight"];
        if(roll <= 0) {
            if(Spells.IsDev()) printl(format("Returning spell index %d", spell_pool[i]["spell"].spell_id))
            return spell_pool[i];
        }
    }
}