// CORE LOGIC! do not remove!
IncludeScript("sarex_spell_lib/core.nut", this);

// INCLUDE YOUR OWN SPELLS HERE
// ------------------------------

IncludeScript("sarex_spell_lib/custom_spells/spell_sentry_buster.nut", this);

//------------------------------

::Spells.Config <- {
    spell_roll_time = 2,                                            // How long a spell takes to roll
}

// --- SPELL POOLS ---
// Choose which spells you want in each pool and their weights/charges here.
// Feel free to use/copy the ones from constants.nut if you need a starting guide.
// ----------------------------------------------

// Common Spell Pool
CommonSpells <- [
    { "spell": Spells.ESpells.SPELL_TELEPORT,    "weight": 1, "charges": 1 },
    { "spell": Spells.ESpells.SPELL_BLAST_JUMP,  "weight": 1, "charges": 1 },
    { "spell": Spells.ESpells.SPELL_MONOCULUS,   "weight": 1, "charges": 1 },
];

// Rare Spell Pool
RareSpells <- [
    { "spell": Spells.CustomSpells.SpellSentryBuster, "weight": 1, "charges": 1 },
];

// --- SPELL PICKUP TIERS ---
// Define spell pickup tiers here.
// Spell pickups will change their properties (model, sound, spell pool) based on their tier.
// Any number of tiers can be defined.
// ----------------------------------------------
::Spells.SpellTiers <- [
    {
        spellbook_model         = "models/props_halloween/hwn_spellbook_upright.mdl",
        spell_pool              = CommonSpells,
        spellbook_model_offset  = Vector(0,0,0),
        pickup_sound            = "Halloween.spell_pickup"
    },
    {
        spellbook_model         = "models/props_halloween/hwn_spellbook_upright_major.mdl",
        spell_pool              = RareSpells,
        spellbook_model_offset  = Vector(0,0,-4),
        pickup_sound            = "Halloween.spell_pickup_rare"
    }
]
// ----------------------------------------------

function Precache() {
    CustomCastingInit();
    ReplaceSpellEntities();
}

function Think() {
    CastingThink();
    CustomSpellsThink();
    return -1;
}